/*
 * vip1710tools.c: 
 *
 * generic functions
 *
 * See the README file for copyright information and how to reach the author.
 *
 */
#include <stdio.h>
#include <stdarg.h>
#include <time.h>
#include <stdlib.h>

#include "vip1710tools.h"
#include "vip1710device.h"
#include "vip1710setup.h"

void log(int level, const char * fmt, ...)
{
	char tmpstr[BUFSIZ];
	char timestr[16];
	va_list ap;
	time_t now;
	struct tm local;

	if (Vip1710Setup.LogLevel >= level) {
		va_start(ap, fmt);
		time(&now);
		localtime_r(&now, &local);
		vsnprintf(tmpstr, sizeof(tmpstr), fmt, ap);
		strftime(timestr, sizeof(timestr), "%H:%M:%S", &local);
		printf("vip1710: %s %s\n", timestr, tmpstr);
		switch (level) {
		case vipERROR:
			esyslog("%s",tmpstr);
			break;
		case vipINFO:
			isyslog("%s",tmpstr);
			break;
		case vipDEBUG1:
		case vipDEBUG2:
		default:
			dsyslog("%s",tmpstr);
			break;
		}
		va_end(ap);
	}
}

